Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.binding
Class JUMethodIteratorDef

`java.lang.Object
oracle.jbo.common.NamedObjectImpl
oracle.jbo.mom.DefinitionObject
oracle.adf.model.binding.DCDefBase
oracle.adf.model.binding.DCExecutableBindingDef
oracle.adf.model.binding.DCIteratorBindingDef
oracle.jbo.uicli.binding.JUIteratorDef
oracle.jbo.uicli.binding.JUMethodIteratorDef`

All Implemented Interfaces:
  oracle.adf.model.binding.DCIExecutableDef

public class JUMethodIteratorDef
extends JUIteratorDef

Field Summary

Fields inherited from class oracle.adf.model.binding.DCIteratorBindingDef
`mRangeSize, PNAME_RangeSize, PNAME_TYPE`

Fields inherited from class oracle.adf.model.binding.DCExecutableBindingDef
`EXECUTABLE_ACTION, EXECUTABLE_ITERATORBINDING, EXECUTABLE_REGION, PNAME_option, PNAME_option_ALWAYS, PNAME_option_DEFAULT, PNAME_option_DEFER, PNAME_option_NEVER, PNAME_option_PREPARE, PNAME_option_PREPARE_OPT, PNAME_option_REFRESH, PNAME_option_REFRESH_OPT, PNAME_option_RENDER, PNAME_option_RENDER_OPT, PNAME_optionExpr, RC_ALWAYS, RC_DEFAULT, RC_DEFER, RC_NEVER, RC_PREPARE, RC_PREPARE_OPT, RC_REFRESH, RC_REFRESH_OPT, RC_RENDER, RC_RENDER_OPT`

Fields inherited from class oracle.adf.model.binding.DCDefBase
`DEF_XMLNS, DEF_XMLNS_BASE, PNAME_AccessorIterator, PNAME_Action, PNAME_Boolean, PNAME_Button, PNAME_ButtonGroup, PNAME_ComboBox, PNAME_DataControlAction, PNAME_DefaultControl, PNAME_DynamicTable, PNAME_EnumList, PNAME_FormattedTextField, PNAME_Graph, PNAME_HGrid, PNAME_Iterator, PNAME_Label, PNAME_ListSingleSel, PNAME_LovButton, PNAME_LOVList, PNAME_MethodAction, PNAME_MethodIterator, PNAME_NavigationBar, PNAME_NavigationList, PNAME_Panel, PNAME_Parameter, PNAME_ProgressBar, PNAME_ProgressBarAttr, PNAME_Range, PNAME_ScrollBar, PNAME_ScrollBarAttr, PNAME_Slider, PNAME_SliderAttr, PNAME_Spinner, PNAME_Table, PNAME_TextField, PNAME_ToplinkIterator, PNAME_Tree`

Fields inherited from class oracle.jbo.mom.DefinitionObject
`mBaseDefObject, mExtendedDefObjects, mObjectResolved`

Fields inherited from class oracle.jbo.common.NamedObjectImpl
`mFullName, mObjName, mParent, mProperties`

Constructor Summary
`JUMethodIteratorDef()`

Method Summary
`DCIteratorBinding` | `createIterBinding(oracle.adf.model.BindingContext ctx, DCBindingContainer bc)`
`DCIteratorBinding` | `createIterBinding(oracle.adf.model.BindingContext ctx, DCBindingContainer bc, oracle.jbo.ApplicationModule anchorAM)`
`java.lang.String` | `getActionBindingName()`
`java.lang.String` | `getBeanClassName()`
`void` | `init(java.util.HashMap initValues)`
`boolean` | `isRefreshable(DCBindingContainer ctr, DCIExecutable exec, int refreshFlag)` Calculate whether the given executable instance is to be refreshed based on the refreshFlag which is the flag sent into BindingContainer.refresh() Return true if this executable has to be refreshed.
`protected void` | `retrieveFromXML(oracle.jbo.mom.xml.DefElement xmlElement, java.util.HashMap valueTab)`

Methods inherited from class oracle.adf.model.binding.DCIteratorBindingDef
`createExecutableBinding, getAMName, getBindsName, getDataControlName, getDesignTimeClass, getExecutableType, getLevel, getPermissionClassName, getPermissionTargetName, getRangeSize, getRSIName, getSortCriteria, getXMLElementTag, isObjectType, isSortable, isStateValidationEnabled, loadChildrenFromXML, setBindingContainerDef, setStateValidationEnabled`

Methods inherited from class oracle.adf.model.binding.DCExecutableBindingDef
`getName, getRefreshExpression, getRefreshOption, internalGetRefreshOptionFromString, internalHasPermission`

Methods inherited from class oracle.adf.model.binding.DCDefBase
`convertToBoolean, convertToInt, convertToIntArray, createAndLoadFromXML, getDefClassName, getSubType, initSubType, isDirty, isNew, loadFromXML, readXMLBoolean, readXMLInt, readXMLString, readXMLStringArray, readXMLStringArrayList, readXMLStringArrayList, setDefClassName, setDirty, setNew, setSubType`

Methods inherited from class oracle.jbo.mom.DefinitionObject
`addExtendedDefObject, finishedLoading, getBaseDefObject, getContainerDef, getContainerName, getExtendedDefObjects, hasExtendedDefObjects, isBaseDefFor, isDynamicDefinitionObject, isObjectResolved, loadProperties, resolveReferences, setBaseDefObject, setName, setObjectResolved, setParent`

Methods inherited from class oracle.jbo.common.NamedObjectImpl
`getFullName, getParent, getProperties, getPropertiesAsStrings, getPropertiesMap, getProperty, refreshProperty, setFullName, setPropertiesMap, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JUMethodIteratorDef

    public JUMethodIteratorDef()

Method Detail

### getBeanClassName

    public java.lang.String getBeanClassName()

### isRefreshable

    public boolean isRefreshable(DCBindingContainer ctr,
                                 DCIExecutable exec,
                                 int refreshFlag)

  Description copied from interface: `oracle.adf.model.binding.DCIExecutableDef`
  Calculate whether the given executable instance is to be refreshed based on the refreshFlag which is the flag sent into BindingContainer.refresh() Return true if this executable has to be refreshed.
  Specified by:
    `isRefreshable` in interface `oracle.adf.model.binding.DCIExecutableDef`
  Overrides:
    `isRefreshable` in class `DCExecutableBindingDef`

### getActionBindingName

    public java.lang.String getActionBindingName()

### createIterBinding

    public DCIteratorBinding createIterBinding(oracle.adf.model.BindingContext ctx,
                                               DCBindingContainer bc,
                                               oracle.jbo.ApplicationModule anchorAM)

  Overrides:
    `createIterBinding` in class `JUIteratorDef`

### createIterBinding

    public DCIteratorBinding createIterBinding(oracle.adf.model.BindingContext ctx,
                                               DCBindingContainer bc)

  Overrides:
    `createIterBinding` in class `JUIteratorDef`

### retrieveFromXML

    protected void retrieveFromXML(oracle.jbo.mom.xml.DefElement xmlElement,
                                   java.util.HashMap valueTab)

  Overrides:
    `retrieveFromXML` in class `DCIteratorBindingDef`

### init

    public void init(java.util.HashMap initValues)

  Overrides:
    `init` in class `DCIteratorBindingDef`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.